Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ABuildNetwork

All Superinterfaces:
  AAct, ABuildProjection, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Implementing Classes:
  ABuildNetworkImpl

    public interface ABuildNetwork

extends ABuildProjection

A representation of the model object ' ABuild Network'.

Author:
  Miles Parker

  The following features are supported:

  - `Network Type`
See Also:
  `MetaABMActPackage.getABuildNetwork()`

Method Summary
`ABuildNetworkTypes` | `getNetworkType()` Returns the value of the 'Network Type' attribute.
`void` | `setNetworkType(ABuildNetworkTypes value)` Sets the value of the '`Network Type`' attribute.

Methods inherited from interface org.metaabm.act.ABuildProjection
`getAgents, getAttributes, getProjection, setProjection`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Method Detail

### getNetworkType

    ABuildNetworkTypes getNetworkType()

  Returns the value of the 'Network Type' attribute. The literals are from the enumeration `ABuildNetworkTypes`.

  If the meaning of the 'Network Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Network Type' attribute.
  See Also:
    `ABuildNetworkTypes`, `setNetworkType(ABuildNetworkTypes)`, `MetaABMActPackage.getABuildNetwork_NetworkType()`

### setNetworkType

    void setNetworkType(ABuildNetworkTypes value)

  Sets the value of the '`Network Type`' attribute.

  Parameters:
    `value` - the new value of the 'Network Type' attribute.
  See Also:
    `ABuildNetworkTypes`, `getNetworkType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD